# Parse input data from column of strings with prioritised group names — parse_string_form • prioritized.grouping
This handles transforming data from a typical Microsoft form to the format compatible with prioritized_grouping().

Skip to contents

# Parse input data from column of strings with prioritised group names

`parse_string_form.Rd`

This handles transforming data from a typical Microsoft form to the format compatible with `prioritized_grouping()`.

## Usage

    parse_string_form(data, id = 1, string.col, pattern = NULL)

## Arguments

data

  data.frame or tibble

id

  id column. Numeric index of column name. Default is 1.

string.col

  string column. Numeric index or column name.

pattern

  regex pattern to use for splitting priorities string with `strsplit()`. Default is ";".

## Value

data.frame